unit uProduct;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Mask, DBCtrls, Db;

type
  TfrProduct = class(TForm)
    Panel1: TPanel;
    btOK: TButton;
    Button2: TButton;
    lbProducName: TLabel;
    lbProdCategory: TLabel;
    dbeProdName: TDBEdit;
    dbeProdCategory: TDBEdit;
    dbeProdPrice: TDBEdit;
    lbProdPrice: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure dbeDBEditEnter(Sender: TObject);
    procedure dbeDBEditExit(Sender: TObject);
    procedure dbeProdNameChange(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frProduct: TfrProduct;

implementation

uses uDM;

{$R *.DFM}

procedure TfrProduct.FormActivate(Sender: TObject);
begin
  ActiveControl := dbeProdName;
end;

procedure TfrProduct.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if (DM.dsProduct.State in dsEditModes) then
  begin
    if ModalResult = mrOk then
    begin
      DM.tbProduct.Post;
    end
    else
    begin
      if (MessageDlg('Unsaved changes, exit anyway?', mtConfirmation,
        [mbYes, mbCancel], 0) = mrYes) then
      begin
        DM.tbProduct.Cancel;
        CanClose := True
      end
      else
        CanClose := False
    end
  end
  else
    CanClose := True;
end;

procedure TfrProduct.dbeDBEditEnter(Sender: TObject);
begin
  TEdit(Sender).Color := clAqua;
end;

procedure TfrProduct.dbeDBEditExit(Sender: TObject);
begin
  TEdit(Sender).Color := clWindow;
end;

procedure TfrProduct.dbeProdNameChange(Sender: TObject);
begin
  if dbeProdName.text <> '' then
    btOK.Enabled := True
  else
    btOK.Enabled := False;
end;

end.
